Skip to main content
POST
/
{workspaceId}
/
projects
/
{projectName}
/
jobs
/
{jobId}
/
runs
/
{jobRunId}
/
terminate
terminateJobRun
import { IntunedClient } from "@intuned/client";

const intunedClient = new IntunedClient({
  workspaceId: "123e4567-e89b-12d3-a456-426614174000",
  apiKey: process.env["INTUNED_API_KEY"] ?? "",
});

async function run() {
  const result = await intunedClient.project.jobs.runs.terminate("my-project", "my-sample-job", "aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee");

  console.log(result);
}

run();
{
  "message": "JobRun terminated successfully."
}

Authorizations

x-api-key
string
header
required

API Key used to authenticate your requests. How to create one.

Path Parameters

workspaceId
string<uuid>
required

Your workspace ID. How to find it?

projectName
string
required

The name you assigned when creating the Project.

jobId
string
required

The ID you assigned when creating the Job.

jobRunId
string<uuid>
required

The JobRun ID. Get this from the list JobRuns endpoint or from the trigger Job response.

Response

JobRun terminated successfully.

message
string
required

Success message confirming JobRun termination.

Example:

"JobRun terminated successfully."